2010年9月24日

[installer 2519] libtool-2.4

libtool-2.4 出ています。

☆ libtool-2.4
http://www.gnu.org/software/libtool/
http://ftp.gnu.org/gnu/libtool/libtool-2.4.tar.gz
ftp://ftp.gnu.org/gnu/libtool/libtool-2.4.tar.gz

New in 2.4 2010-09-22: git version 2.2.11a, Libtool team:


* New features:

- Sysroot support. This allows you to build cross-compiled packages
with the same prefix that will be used on the destination machine,
and still find dependent libraries under the compiler's "sysroot".
Without sysroot support, paths internal to the build system may leak
into the product of the build.

Sysroot support is disabled unless the --with-sysroot configure
option is passed to configure, because .la files generated with
sysroot support will _not_ be usable in general with older Libtools.

- On non-cygwin Windows systems, we now lookup potential library
file names without regard to file name case.
- The old testsuite now uses the `parallel-tests' Automake test driver
now for more concurrency and better test logging. For this, tests are
run in verbose mode by default now.

* Important incompatible changes:

- Autoconf 2.62 and Automake 1.11.1 or newer are now required for
bootstrapping Libtool. For using Libtool in your own projects,
Autoconf 2.59 and Automake 1.9.6 should still work.
- The fix_srcfile_path variable has been replaced by a more thorough
mechanism triggered by the to_tool_file_cmd variable.

* Changes in supported systems or compilers:

- Initial support for the Microsoft C/C++ Compiler, with help from
the compile script in unreleased Automake 1.12. Override the manifest
tool used to embed the manifest resource through the environment
variable MANIFEST_TOOL. Please note that the import library naming
has changed (from foo-2.lib to foo.dll.lib) from when the code lived
in its own git branch.
- Initial support for the NAG Fortran compiler on GNU/Linux.

* Bug fixes:

- The `check-interactive' and `check-noninteractive' convenience make
targets now also work for the old testsuite.
- Warnings from Autoconf v2.67-36-g1e604ec about incomplete programs
passed to AC_*_IFELSE tests have been fixed.
- On IRIX, the test for -Wl,-exported_symbol now also works with gfortran.

----
こがよういちろう


投稿者 xml-rpc : 2010年9月24日 10:09
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/98591
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。